# Contributing to the Expect-Behaviors Gem

This gem is run by people who have jobs.  So please understand if we can't always prioritize PRs and issues.

You can help by making your code submissions.  We can't promise a specific turnaround time, or that your code will be incorporated but all submissions are appreciated.

## Steps to Submit a Pull Request

* [Fork](https://help.github.com/articles/fork-a-repo) the project on GitHub.
* Make your feature addition or bug fix [in a feature branch](https://github.com/Kunena/Kunena-Forum/wiki/Create-a-new-branch-with-git-and-manage-branches). (Include a description of your changes in the PR)
* Push your feature branch to GitHub.
* Send a [Pull Request](https://help.github.com/articles/using-pull-requests)

## Style Guide

We will require that you adhere to the [ruby-style-guide](https://github.com/bbatsov/ruby-style-guide) for your code submissions.

## Test Coverage

All submissions of code must include test coverage which describes intent and expected behavior.  The test suite used by this gem is [Minitest](https://github.com/seattlerb/minitest)

Unit tests are expected to execute quickly.  Longer running tests should be filed under Acceptance tests.

